#!/bin/bash

SLICER_HOME=$1
SLICER=$SLICER_HOME/Slic3r.app/Contents/MacOS/slic3r

if [ $# -lt 3 ]; then
  INCONFIG=$SLICER_HOME/config.ini
else
  INCONFIG=$3
fi

CONFIG=`basename "$INCONFIG" | sed -E 's/^config-?|\.ini$//g'`
OUTNAME=${2/.stl/}

if [ "$CONFIG" != "" ]; then
  OUTNAME="$OUTNAME-$CONFIG"
fi

$SLICER "$2" --load "$3" --output "$OUTNAME.gcode"
